> For the complete documentation index, see [llms.txt](https://docs.stackerhq.com/stacker-classic/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stackerhq.com/stacker-classic/layout-types/customize-the-form-layout/creating-multi-step-form.md).

# Creating multi step form

You can create a multi-step form using widgets with conditional filters. Multi-step forms are a great way to set up your form so that users will only see and fill out information that is relevant to them, without having a long form to look through.

### Prepare your data table <a href="#h_01gb2x5sm1rx249f7bpapg3vsm" id="h_01gb2x5sm1rx249f7bpapg3vsm"></a>

We will be creating a multi-step create form on our Property app. We will use a dropdown field, with two options, the status chosen by the user will determine what they see in the rest of the form.

You will need a dropdown field with two options added into your table, for our example, "For Sale" and "To Lease" are added to our Property table.

![CleanShot\_2023-04-27\_at\_10.08.38\_2x.png](https://support.stackerhq.com/hc/article_attachments/16142076035219)

### Edit the create form <a href="#h_01gb2vxb0aqrks96cr77f1mema" id="h_01gb2vxb0aqrks96cr77f1mema"></a>

1. Click the **Manage fields and data**
2. Go to table
3. Click **Layout**
4. Select **Customize your create layout**
5. Delete the default field container

![layout-mfd.gif](https://support.stackerhq.com/hc/article_attachments/16148124093331)

### Add field widgets <a href="#h_01gb2wkkj04169932wv89yhmnv" id="h_01gb2wkkj04169932wv89yhmnv"></a>

1. Click on the field widget
2. Toggle on the Multi-select field
3. Add 2 more field widgets

![CleanShot\_2023-04-25\_at\_10.49.33\_2x.png](https://support.stackerhq.com/hc/article_attachments/16076394010259)

There should now be 3 different field widgets in the form: The first with the multi-select field and one field widget for the results of each drop-down option. The form should look something like this. ![Screenshot\_2022-08-22\_at\_15.22.02.png](https://support.stackerhq.com/hc/article_attachments/8873294642835/Screenshot_2022-08-22_at_15.22.02.png)

### Set visibility filters <a href="#h_01gb2ymqs7n3k4pbapdkht4nbe" id="h_01gb2ymqs7n3k4pbapdkht4nbe"></a>

1. Click to highlight the Sale information widget
2. In **Edit layout** click **Set conditional visibility**
3. Select the field. In this example, it will be the "For Sale/To Let?" field
4. Select "For Sale" as the option
5. Repeat this with the Lease information field widget

![Screenshot\_2022-08-22\_at\_15.43.03.png](https://support.stackerhq.com/hc/article_attachments/8874033000467/Screenshot_2022-08-22_at_15.43.03.png)

![Screenshot\_2022-08-22\_at\_15.47.05.png](https://support.stackerhq.com/hc/article_attachments/8874038936083/Screenshot_2022-08-22_at_15.47.05.png)

Now when users select either "For Sale" or "To Lease" in the first field container, they will only be shown the relevant field container.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stackerhq.com/stacker-classic/layout-types/customize-the-form-layout/creating-multi-step-form.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
